services:
  roundcube:
    container_name: roundcube
    image: roundcube/roundcubemail
    ports:
      - "127.0.0.1:8000:80"  # Map port 8000 on your host to port 80 in the container
    environment:
      - ROUNDCUBEMAIL_DEFAULT_HOST=mail.your-server.de
      - ROUNDCUBEMAIL_SMTP_SERVER=mail.your-server.de
      - ROUNDCUBEMAIL_SMTP_PORT=465
    restart: unless-stopped  # Optional, ensures the container restarts if stopped
    networks:
      - docker-network

networks:
  docker-network:
    external: true
